org.apache.activemq.artemis.uri.schema.connector

## Class InVMTransportConfigurationSchema

- java.lang.Object
- - org.apache.activemq.artemis.utils.uri.URISchema<List<TransportConfiguration>,String>
  - - org.apache.activemq.artemis.uri.schema.connector.AbstractTransportConfigurationSchema
    - - org.apache.activemq.artemis.uri.schema.connector.InVMTransportConfigurationSchema

- Direct Known Subclasses:
    InVMAcceptorTransportConfigurationSchema

      public class InVMTransportConfigurationSchema
      extends AbstractTransportConfigurationSchema

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECTIONS_ALLOWED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InVMTransportConfigurationSchema()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransportConfiguration` | `createTransportConfiguration(URI uri, Map<String,String> query, String name, String factoryName)`
    `protected String` | `getFactoryName()`
    `String` | `getSchemaName()`
    `protected List<TransportConfiguration>` | `internalNewObject(URI uri, Map<String,String> query, String name)`
    `protected URI` | `internalNewURI(List<TransportConfiguration> bean)`

    - ### Methods inherited from class org.apache.activemq.artemis.utils.uri.URISchema

      `getDefaultURI, getFactory, getHost, getPort, newObject, newObject, newURI, parseQuery, populateObject, printQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONNECTIONS_ALLOWED

          public static final String CONNECTIONS_ALLOWED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InVMTransportConfigurationSchema

          public InVMTransportConfigurationSchema()

  - ### Method Detail

    - #### getSchemaName

          public String getSchemaName()

      Specified by:
        `getSchemaName` in class `org.apache.activemq.artemis.utils.uri.URISchema<List<TransportConfiguration>,String>`

    - #### internalNewObject

          protected List<TransportConfiguration> internalNewObject(URI uri,
                                                                   Map<String,String> query,
                                                                   String name)
                                                            throws Exception

      Specified by:
        `internalNewObject` in class `org.apache.activemq.artemis.utils.uri.URISchema<List<TransportConfiguration>,String>`
      Throws:
        `Exception`

    - #### internalNewURI

          protected URI internalNewURI(List<TransportConfiguration> bean)
                                throws Exception

      Overrides:
        `internalNewURI` in class `org.apache.activemq.artemis.utils.uri.URISchema<List<TransportConfiguration>,String>`
      Throws:
        `Exception`

    - #### getFactoryName

          protected String getFactoryName()

    - #### createTransportConfiguration

          public static TransportConfiguration createTransportConfiguration(URI uri,
                                                                            Map<String,String> query,
                                                                            String name,
                                                                            String factoryName)

Copyright © 2018 The Apache Software Foundation. All rights reserved.